---
orphan: true
---

# Query release summary

Query the number of data releases in the current workspace and the number of target workspaces.

```text
GET https://moi.matrixorigin.cn/newmoi/data-share/publishes/summary
```

## Preparation before calling

Prepare a personal access token and workspace ID that has access to the target workspace.

The example below uses:

- `$AI_STUDIO_API_KEY`: The actual personal access token, passed through the `X-API-Key` Header.
- `$WORKSPACE_ID`: Target workspace ID, passed through `X-Workspace-ID` Header.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/data-share/publishes/summary" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and the summary quantity on success.

```json
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "total": 3,
    "target_total": 5
  }
}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.total` | integer | The number of data releases in the current workspace. |
| `data.target_total` | integer | The number of target workspaces associated with all publications. |

## Error response

```json
{
  "code": "ErrServer",
  "msg": "服务器内部错误",
  "data": null
}
```

### Common HTTP errors

```{list-table}
:header-rows: 1
:widths: 12 22 32 34

* - HTTP status code
  - error code
  - Common causes
  - Recommended actions
* - `403`
  - `ErrPermissionDenied`
  - The current identity does not have permission to read the publication.
  - Use credentials with read permissions.
* - `503`
  - `ErrServer`
  - Dependent services are temporarily unavailable.
  - Try again later.
* - `500`
  - `ErrServer`
  - The server failed to read the publication summary.
  - Try again later.
```
